### 1.52 `sin`, `sinf`, `cos`, `cosf`—sine or cosine

Synopsis

         #include <math.h>
         double sin(double x);
         float  sinf(float x);
         double cos(double x);
         float cosf(float x);

Description
`sin` and `cos` compute (respectively) the sine and cosine of the argument x. Angles are specified in radians.

`sinf` and `cosf` are identical, save that they take and return `float` values.

Returns
The sine or cosine of x is returned.

Portability
`sin` and `cos` are ANSI C. `sinf` and `cosf` are extensions.